> For the complete documentation index, see [llms.txt](https://docs.aisuru.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aisuru.com/api-en/backend/import-export.md).

# Import Export

## POST /api/v2/ImportExport/ImportCSV/{strToken}/{strMemoriID}

> Starts an Import process for memories from a CSV file.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/ImportExport/ImportCSV/{strToken}/{strMemoriID}":{"post":{"tags":["ImportExport"],"summary":"Starts an Import process for memories from a CSV file.","operationId":"ImportExport-ImportCSV","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"strMemoriID","in":"path","description":"The ID of the Memori object","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The specifications and content of the CSV file","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportCSVSpecs"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportStatusSpecsProcessStatusResponse"}}}}}}}},"components":{"schemas":{"ImportCSVSpecs":{"type":"object","properties":{"csvSpecs":{"$ref":"#/components/schemas/CSVSpecs"},"conclusive":{"type":"boolean","description":"If ```True``` all the imported questions will have\r\nthe ```Conclusive``` flag set."},"notPickable":{"type":"boolean","description":"If ```True``` all the imported questions will have\r\nthe ```NotPickable``` flag set."},"contextVarsToSet":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"If set, all imported questions will have the\r\n```ContextVarsToSet``` property set to this values.","nullable":true},"contextVarsToMatch":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"If set, all imported questions will have the\r\n```ContextVarsToMatch``` property set to this values.","nullable":true},"memoryTags":{"type":"array","items":{"type":"string"},"description":"If set, all imported questions will have the\r\n```MemoryTags``` property set to these values.","nullable":true},"receiverID":{"type":"string","description":"If set, all the imported questions will be associated\r\nwith the specified receiver.\r\nMust be an existing receiver ID.","nullable":true},"addMediaLink":{"type":"string","description":"If set, all the imported questions will have an additional\r\nmedium with the specified link.","nullable":true},"linkTitleHandling":{"type":"string","description":"Specifications for the TXT import. <br> Can be one of the following:<ul> <li><code>FixedTitle</code>: the title of the link will be the one specified in LinkTitleHandling or \"Link\" if not set</li> <li><code>FetchFromUrl</code>: the title of the link will be the one fetched from the URL</li> <li><code>Hostname</code>: the title of the link will be the hostname of the URL</li></ul>","nullable":true},"linkTitle":{"type":"string","description":"The title of the links to be added to the imported questions, it will be used \"Link\" if not set","nullable":true},"rows":{"type":"array","items":{"type":"string"},"description":"Rows of the file to be imported.\r\nRequired.\r\nExcept when importing an agent, in which case this field must be left empty.","nullable":true},"importName":{"type":"string","description":"Optional name of this import.","nullable":true},"forceImport":{"type":"boolean","description":"Specifies if questions having a high similarity with already stored\r\nquestions have to be imported.\r\nIf true, all questions are imported without checking the similarity."},"notes":{"type":"string","description":"Additional notes about the import.","nullable":true}},"additionalProperties":false,"description":"Specifications and content for an Import CSV request."},"CSVSpecs":{"type":"object","properties":{"newLine":{"type":"string","description":"New line characters to be used for CSV records.<br /> Required in Export operations.<br /> Not used in Import operations. <br> Must be one of:<ul> <li><code>\\r\\n</code>: CR-LF pair (Windows new lines)</li> <li><code>\\n</code>: LF only (Unix/macOS new lines)</li> </ul>","nullable":true},"hasHeaders":{"type":"boolean","description":"Specifies if the first row of the CSV contains the column names.<br />\r\nIn Import operations: if False column names must be specified\r\nin the HeaderNames property, if True HeaderNames is ignored.<br />\r\nIn Export operations: if True header names are generated in the\r\nfirst row, if False the first row contains the first data row."},"headerNames":{"type":"array","items":{"type":"string"},"description":"Optional column names of the CSV rows.<br />\r\nUsed only in Import operations: if not specified the\r\nHasHeaders property must be set to True, and the first row of the\r\nCSV file is assumed to contain the column names.","nullable":true},"questionColumnName":{"type":"string","description":"Name of the column with the question text.<br />\r\nUsed in both Import and Export operations.","nullable":true},"answerColumnName":{"type":"string","description":"Name of the column with the answer text.<br />\r\nUsed in both Import and Export operations.","nullable":true},"contextVarsToMatchColumnName":{"type":"string","description":"Optional name of the column with the context variables to match.<br />\r\nUsed in both Import and Export operations.","nullable":true},"contextVarsToSetColumnName":{"type":"string","description":"Optional name of the column with the context variables to set.<br />\r\nUsed in both Import and Export operations.","nullable":true},"memoryTagsColumnName":{"type":"string","description":"Optional name of the column with the memory tags.<br />\r\nUsed in both Import and Export operations.","nullable":true},"csvSeparator":{"type":"string","description":"Column separator in CSV rows.<br />\r\nUsed in both Import and Export operations.","nullable":true},"questionTitleVariantsSeparator":{"type":"string","description":"Optional question text and memory tags separator. Must be specified if\r\nthe question column contains multiple text variants, or if memory tags are being exported<br />\r\nUsed in both Import and Export operations.","nullable":true}},"additionalProperties":false,"description":"Specifications for requests involving import/export of CSV contents."},"ImportStatusSpecsProcessStatusResponse":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/ImportStatusSpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of an Import, Analysis or Get Process Status requests."},"ImportStatusSpecs":{"type":"object","properties":{"importType":{"type":"string","description":"Import type. <br> Can be one of the following:<ul> <li><code>CSV</code>: for tabular documents</li> <li><code>TXT</code>: for text documents</li> </ul>","nullable":true},"importSize":{"type":"integer","description":"Size of the imported document in characters.","format":"int64"},"importName":{"type":"string","description":"Name of this import, if set when the Import process was requested.","nullable":true},"importedMemories":{"type":"integer","description":"Number of Imported Memory objects so far.","format":"int32"},"importWarningsCount":{"type":"integer","description":"Number of Import Warning objects","format":"int32"},"importWarnings":{"type":"array","items":{"$ref":"#/components/schemas/ImportWarning"},"description":"List of Import Warning objects.\r\nMay be empty.","nullable":true},"processID":{"type":"string","description":"Process ID.","nullable":true},"memoriID":{"type":"string","description":"ID of the Memori object this Process refers to.","nullable":true},"processUserName":{"type":"string","description":"Name of the user that started the Process.","nullable":true},"processType":{"type":"string","description":"Process type. <br> Can be one of the following:<ul> <li><code>Import</code>: for file import processes</li> <li><code>Analysis</code>: for Deep Thought user/query analysis processes</li> </ul>","nullable":true},"status":{"type":"string","description":"Current status of the Process (starting, running etc.). <br> May be one of the following:<ul> <li><code>Starting</code>: the Process is preparing to start, but has not started yet. Will advance to <code>Running</code> automatically.</li> <li><code>Running</code>: the Process has been started and is actively processing elements.</li> <li><code>Stopped</code>: the Process has been stopped manually, not all elements may have been processed.</li> <li><code>Completed</code>: the Process finished successfully, all the elements have been processed.</li> <li><code>Failed</code>: the Process terminated due to an unexpected error, not all elements may have been processed.</li> </ul>","nullable":true},"error":{"type":"string","description":"If the Status is ```Failed```, reports the error that\r\ncaused the Process to fail.\r\nNull otherwise.","nullable":true},"totalElements":{"type":"integer","description":"Total elements this Process is processing.","format":"int32"},"processedElements":{"type":"integer","description":"Number of elements this Process has processed so far.","format":"int32"},"progress":{"type":"number","description":"Progress of the Process as a fraction of 1.","format":"float"},"processSpecsJSON":{"type":"string","description":"Original parameters of the Process request, as a JSON structure,\r\nexcluding the elements (e.g. document rows for an Import process).","nullable":true},"begin":{"type":"string","description":"Timestamp of start of the Process.\r\nNull until the Process is in ```Starting``` status.","format":"date-time","nullable":true},"end":{"type":"string","description":"Timestamp of end of the Process.\r\nNull until the Process is in ```Starting``` or\r\n```Running``` status.","format":"date-time","nullable":true},"eta":{"type":"number","description":"Estimated time required to complete the Process,\r\nin seconds.","format":"float","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of an Import Status object."},"ImportWarning":{"type":"object","properties":{"warningType":{"type":"string","description":"Type of warning. <br> <ul>Currently supported types are: <li><code>Existing Similar Memory</code>: a memory exists with a text similar to the question in this row</li> <li><code>Error</code>: an error occurred while importing the row</li> </ul>","nullable":true},"rowNumber":{"type":"integer","description":"The number of thr row object of the warning.","format":"int32"},"text":{"type":"string","description":"When ```WarningType``` is ```Existing Similar\r\nMemory``` reports the text of the imported memory.\r\nWhen ```WarningType``` is ```Error``` reports the\r\ntext of the error.","nullable":true},"similarTexts":{"type":"array","items":{"$ref":"#/components/schemas/SimilarText"},"description":"List of similar texts in existing memories.\r\nUsed when ```WarningType``` is ```Existing Similar\r\nMemory```.","nullable":true}},"additionalProperties":false,"description":"Description of a possible problem during an Import operation."},"SimilarText":{"type":"object","properties":{"memoryID":{"type":"string","description":"Memory ID of the similar memory.","nullable":true},"text":{"type":"string","description":"Similar text of an existing memory.","nullable":true},"similarityLevel":{"type":"string","description":"Similarity level between the existing memory text and the imported memory text.\r\nEither \"HIGH\", \"MEDIUM\" or \"LOW.","nullable":true}},"additionalProperties":false}}}}
````

## POST /api/v2/ImportExport/ImportTXT/{strToken}/{strMemoriID}

> Starts an Import process for memories from a TXT file.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/ImportExport/ImportTXT/{strToken}/{strMemoriID}":{"post":{"tags":["ImportExport"],"summary":"Starts an Import process for memories from a TXT file.","operationId":"ImportExport-ImportTXT","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"strMemoriID","in":"path","description":"The ID of the Memori object","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The specifications and content of the TXT file","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportTXTSpecs"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportStatusSpecsProcessStatusResponse"}}}}}}}},"components":{"schemas":{"ImportTXTSpecs":{"type":"object","properties":{"txtSpecs":{"$ref":"#/components/schemas/TXTSpecs"},"conclusive":{"type":"boolean","description":"If ```True``` all the imported questions will have\r\nthe ```Conclusive``` flag set."},"notPickable":{"type":"boolean","description":"If ```True``` all the imported questions will have\r\nthe ```NotPickable``` flag set."},"contextVarsToSet":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"If set, all imported questions will have the\r\n```ContextVarsToSet``` property set to this values.","nullable":true},"contextVarsToMatch":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"If set, all imported questions will have the\r\n```ContextVarsToMatch``` property set to this values.","nullable":true},"memoryTags":{"type":"array","items":{"type":"string"},"description":"If set, all imported questions will have the\r\n```MemoryTags``` property set to these values.","nullable":true},"receiverID":{"type":"string","description":"If set, all the imported questions will be associated\r\nwith the specified receiver.\r\nMust be an existing receiver ID.","nullable":true},"addMediaLink":{"type":"string","description":"If set, all the imported questions will have an additional\r\nmedium with the specified link.","nullable":true},"linkTitleHandling":{"type":"string","description":"Specifications for the TXT import. <br> Can be one of the following:<ul> <li><code>FixedTitle</code>: the title of the link will be the one specified in LinkTitleHandling or \"Link\" if not set</li> <li><code>FetchFromUrl</code>: the title of the link will be the one fetched from the URL</li> <li><code>Hostname</code>: the title of the link will be the hostname of the URL</li></ul>","nullable":true},"linkTitle":{"type":"string","description":"The title of the links to be added to the imported questions, it will be used \"Link\" if not set","nullable":true},"rows":{"type":"array","items":{"type":"string"},"description":"Rows of the file to be imported.\r\nRequired.\r\nExcept when importing an agent, in which case this field must be left empty.","nullable":true},"importName":{"type":"string","description":"Optional name of this import.","nullable":true},"forceImport":{"type":"boolean","description":"Specifies if questions having a high similarity with already stored\r\nquestions have to be imported.\r\nIf true, all questions are imported without checking the similarity."},"notes":{"type":"string","description":"Additional notes about the import.","nullable":true}},"additionalProperties":false,"description":"Specifications and content for an Import TXT request."},"TXTSpecs":{"type":"object","properties":{"granularity":{"type":"string","description":"Proportion between the text size and the number of question-answers generated. If not specified it is assumed as MEDIUM. <br> Must be one of:<ul> <li><code>LOW</code>: generates ~10 questions every 10K characters</li> <li><code>MEDIUM</code>: generates ~20 questions every 10K characters</li> <li><code>HIGH</code>: generates ~30 questions every 10K characters</li> </ul>","nullable":true},"questionsGenerationInstructions":{"type":"string","description":"If specified, these instructions are provided as part of the\r\ncompletion prompt to the generative AI when generating questions\r\nfrom the document.","nullable":true},"attachSource":{"type":"boolean","description":"If True, for every question-answer the excerpt of the original\r\ntext from which they have been generated is included as an\r\nattachment.\r\nIf not specified it is assumed as False."},"sourceAttachmentTitle":{"type":"string","description":"Title of the source attachment, when enabled with ```AttachSource```.\r\nIf not specified it will have no title.","nullable":true}},"additionalProperties":false,"description":"Specifications for requests involving import/export of TXT contents."},"ImportStatusSpecsProcessStatusResponse":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/ImportStatusSpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of an Import, Analysis or Get Process Status requests."},"ImportStatusSpecs":{"type":"object","properties":{"importType":{"type":"string","description":"Import type. <br> Can be one of the following:<ul> <li><code>CSV</code>: for tabular documents</li> <li><code>TXT</code>: for text documents</li> </ul>","nullable":true},"importSize":{"type":"integer","description":"Size of the imported document in characters.","format":"int64"},"importName":{"type":"string","description":"Name of this import, if set when the Import process was requested.","nullable":true},"importedMemories":{"type":"integer","description":"Number of Imported Memory objects so far.","format":"int32"},"importWarningsCount":{"type":"integer","description":"Number of Import Warning objects","format":"int32"},"importWarnings":{"type":"array","items":{"$ref":"#/components/schemas/ImportWarning"},"description":"List of Import Warning objects.\r\nMay be empty.","nullable":true},"processID":{"type":"string","description":"Process ID.","nullable":true},"memoriID":{"type":"string","description":"ID of the Memori object this Process refers to.","nullable":true},"processUserName":{"type":"string","description":"Name of the user that started the Process.","nullable":true},"processType":{"type":"string","description":"Process type. <br> Can be one of the following:<ul> <li><code>Import</code>: for file import processes</li> <li><code>Analysis</code>: for Deep Thought user/query analysis processes</li> </ul>","nullable":true},"status":{"type":"string","description":"Current status of the Process (starting, running etc.). <br> May be one of the following:<ul> <li><code>Starting</code>: the Process is preparing to start, but has not started yet. Will advance to <code>Running</code> automatically.</li> <li><code>Running</code>: the Process has been started and is actively processing elements.</li> <li><code>Stopped</code>: the Process has been stopped manually, not all elements may have been processed.</li> <li><code>Completed</code>: the Process finished successfully, all the elements have been processed.</li> <li><code>Failed</code>: the Process terminated due to an unexpected error, not all elements may have been processed.</li> </ul>","nullable":true},"error":{"type":"string","description":"If the Status is ```Failed```, reports the error that\r\ncaused the Process to fail.\r\nNull otherwise.","nullable":true},"totalElements":{"type":"integer","description":"Total elements this Process is processing.","format":"int32"},"processedElements":{"type":"integer","description":"Number of elements this Process has processed so far.","format":"int32"},"progress":{"type":"number","description":"Progress of the Process as a fraction of 1.","format":"float"},"processSpecsJSON":{"type":"string","description":"Original parameters of the Process request, as a JSON structure,\r\nexcluding the elements (e.g. document rows for an Import process).","nullable":true},"begin":{"type":"string","description":"Timestamp of start of the Process.\r\nNull until the Process is in ```Starting``` status.","format":"date-time","nullable":true},"end":{"type":"string","description":"Timestamp of end of the Process.\r\nNull until the Process is in ```Starting``` or\r\n```Running``` status.","format":"date-time","nullable":true},"eta":{"type":"number","description":"Estimated time required to complete the Process,\r\nin seconds.","format":"float","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of an Import Status object."},"ImportWarning":{"type":"object","properties":{"warningType":{"type":"string","description":"Type of warning. <br> <ul>Currently supported types are: <li><code>Existing Similar Memory</code>: a memory exists with a text similar to the question in this row</li> <li><code>Error</code>: an error occurred while importing the row</li> </ul>","nullable":true},"rowNumber":{"type":"integer","description":"The number of thr row object of the warning.","format":"int32"},"text":{"type":"string","description":"When ```WarningType``` is ```Existing Similar\r\nMemory``` reports the text of the imported memory.\r\nWhen ```WarningType``` is ```Error``` reports the\r\ntext of the error.","nullable":true},"similarTexts":{"type":"array","items":{"$ref":"#/components/schemas/SimilarText"},"description":"List of similar texts in existing memories.\r\nUsed when ```WarningType``` is ```Existing Similar\r\nMemory```.","nullable":true}},"additionalProperties":false,"description":"Description of a possible problem during an Import operation."},"SimilarText":{"type":"object","properties":{"memoryID":{"type":"string","description":"Memory ID of the similar memory.","nullable":true},"text":{"type":"string","description":"Similar text of an existing memory.","nullable":true},"similarityLevel":{"type":"string","description":"Similarity level between the existing memory text and the imported memory text.\r\nEither \"HIGH\", \"MEDIUM\" or \"LOW.","nullable":true}},"additionalProperties":false}}}}
````

## POST /api/v2/ImportExport/ImportFunctionsIntents/{strToken}/{strMemoriID}

> Starts an Import process for functions and intents from a jsonl file.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/ImportExport/ImportFunctionsIntents/{strToken}/{strMemoriID}":{"post":{"tags":["ImportExport"],"summary":"Starts an Import process for functions and intents from a jsonl file.","operationId":"ImportExport-ImportFunctionsIntents","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"strMemoriID","in":"path","description":"The ID of the Memori object","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The specifications and content of the jsonl file","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportFunctionsIntentsSpecs"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportStatusSpecsProcessStatusResponse"}}}}}}}},"components":{"schemas":{"ImportFunctionsIntentsSpecs":{"type":"object","properties":{"rows":{"type":"array","items":{"type":"string"},"description":"Rows of the file to be imported.\r\nRequired.\r\nExcept when importing an agent, in which case this field must be left empty.","nullable":true},"importName":{"type":"string","description":"Optional name of this import.","nullable":true},"forceImport":{"type":"boolean","description":"Specifies if questions having a high similarity with already stored\r\nquestions have to be imported.\r\nIf true, all questions are imported without checking the similarity."},"notes":{"type":"string","description":"Additional notes about the import.","nullable":true}},"additionalProperties":false,"description":"Specifications for an Import Functions/Intents request."},"ImportStatusSpecsProcessStatusResponse":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/ImportStatusSpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of an Import, Analysis or Get Process Status requests."},"ImportStatusSpecs":{"type":"object","properties":{"importType":{"type":"string","description":"Import type. <br> Can be one of the following:<ul> <li><code>CSV</code>: for tabular documents</li> <li><code>TXT</code>: for text documents</li> </ul>","nullable":true},"importSize":{"type":"integer","description":"Size of the imported document in characters.","format":"int64"},"importName":{"type":"string","description":"Name of this import, if set when the Import process was requested.","nullable":true},"importedMemories":{"type":"integer","description":"Number of Imported Memory objects so far.","format":"int32"},"importWarningsCount":{"type":"integer","description":"Number of Import Warning objects","format":"int32"},"importWarnings":{"type":"array","items":{"$ref":"#/components/schemas/ImportWarning"},"description":"List of Import Warning objects.\r\nMay be empty.","nullable":true},"processID":{"type":"string","description":"Process ID.","nullable":true},"memoriID":{"type":"string","description":"ID of the Memori object this Process refers to.","nullable":true},"processUserName":{"type":"string","description":"Name of the user that started the Process.","nullable":true},"processType":{"type":"string","description":"Process type. <br> Can be one of the following:<ul> <li><code>Import</code>: for file import processes</li> <li><code>Analysis</code>: for Deep Thought user/query analysis processes</li> </ul>","nullable":true},"status":{"type":"string","description":"Current status of the Process (starting, running etc.). <br> May be one of the following:<ul> <li><code>Starting</code>: the Process is preparing to start, but has not started yet. Will advance to <code>Running</code> automatically.</li> <li><code>Running</code>: the Process has been started and is actively processing elements.</li> <li><code>Stopped</code>: the Process has been stopped manually, not all elements may have been processed.</li> <li><code>Completed</code>: the Process finished successfully, all the elements have been processed.</li> <li><code>Failed</code>: the Process terminated due to an unexpected error, not all elements may have been processed.</li> </ul>","nullable":true},"error":{"type":"string","description":"If the Status is ```Failed```, reports the error that\r\ncaused the Process to fail.\r\nNull otherwise.","nullable":true},"totalElements":{"type":"integer","description":"Total elements this Process is processing.","format":"int32"},"processedElements":{"type":"integer","description":"Number of elements this Process has processed so far.","format":"int32"},"progress":{"type":"number","description":"Progress of the Process as a fraction of 1.","format":"float"},"processSpecsJSON":{"type":"string","description":"Original parameters of the Process request, as a JSON structure,\r\nexcluding the elements (e.g. document rows for an Import process).","nullable":true},"begin":{"type":"string","description":"Timestamp of start of the Process.\r\nNull until the Process is in ```Starting``` status.","format":"date-time","nullable":true},"end":{"type":"string","description":"Timestamp of end of the Process.\r\nNull until the Process is in ```Starting``` or\r\n```Running``` status.","format":"date-time","nullable":true},"eta":{"type":"number","description":"Estimated time required to complete the Process,\r\nin seconds.","format":"float","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of an Import Status object."},"ImportWarning":{"type":"object","properties":{"warningType":{"type":"string","description":"Type of warning. <br> <ul>Currently supported types are: <li><code>Existing Similar Memory</code>: a memory exists with a text similar to the question in this row</li> <li><code>Error</code>: an error occurred while importing the row</li> </ul>","nullable":true},"rowNumber":{"type":"integer","description":"The number of thr row object of the warning.","format":"int32"},"text":{"type":"string","description":"When ```WarningType``` is ```Existing Similar\r\nMemory``` reports the text of the imported memory.\r\nWhen ```WarningType``` is ```Error``` reports the\r\ntext of the error.","nullable":true},"similarTexts":{"type":"array","items":{"$ref":"#/components/schemas/SimilarText"},"description":"List of similar texts in existing memories.\r\nUsed when ```WarningType``` is ```Existing Similar\r\nMemory```.","nullable":true}},"additionalProperties":false,"description":"Description of a possible problem during an Import operation."},"SimilarText":{"type":"object","properties":{"memoryID":{"type":"string","description":"Memory ID of the similar memory.","nullable":true},"text":{"type":"string","description":"Similar text of an existing memory.","nullable":true},"similarityLevel":{"type":"string","description":"Similarity level between the existing memory text and the imported memory text.\r\nEither \"HIGH\", \"MEDIUM\" or \"LOW.","nullable":true}},"additionalProperties":false}}}}
````

## POST /api/v2/ImportExport/ImportMemori/{strToken}

> Starts an Import process for a new Memori from a jsonl file.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/ImportExport/ImportMemori/{strToken}":{"post":{"tags":["ImportExport"],"summary":"Starts an Import process for a new Memori from a jsonl file.","operationId":"ImportExport-ImportMemori","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The specifications and content of the jsonl file","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportMemoriSpecs"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportStatusSpecsProcessStatusResponse"}}}}}}}},"components":{"schemas":{"ImportMemoriSpecs":{"type":"object","properties":{"memoriName":{"type":"string","description":"The name of the memori that will be created during the import process.","nullable":true},"memoriPassword":{"type":"string","description":"Password. Required during Registration operations. May be required during Update operations. Ignored in other cases. <br> Must be provided in the following cases:<ul> <li>When PrivacyType is <code>SECRET</code>: during Registration and Update operations, and it can be any non-empty string</li> <li>When PrivacyType is <code>PRIVATE</code>: only during Update operations, and it must be set with the SecretToken provided during registration</li> </ul>","nullable":true},"privacyType":{"type":"string","description":"Type of privacy setting for this Memori (private, public or secret). Required during Registration operations. Used during Update operations. Returned during Get operations. <br> May be one of the following:<ul> <li><code>PUBLIC</code>: this Memori is not encrypted, has no password and is accessible to everyone</li> <li><code>PRIVATE</code>: this Memori is not encrypted, has a system-generated Secret Token as password and can be accessed only by providing it</li> <li><code>SECRET</code>: this Memori is encrypted, has a user-defined password and can be accessed only by providing it</li> </ul>","nullable":true},"memoriZipAssetId":{"type":"string","description":"The ID of the uploaded asset containing the zip file to import.","nullable":true},"rows":{"type":"array","items":{"type":"string"},"description":"Rows of the file to be imported.\r\nRequired.\r\nExcept when importing an agent, in which case this field must be left empty.","nullable":true},"importName":{"type":"string","description":"Optional name of this import.","nullable":true},"forceImport":{"type":"boolean","description":"Specifies if questions having a high similarity with already stored\r\nquestions have to be imported.\r\nIf true, all questions are imported without checking the similarity."},"notes":{"type":"string","description":"Additional notes about the import.","nullable":true}},"additionalProperties":false},"ImportStatusSpecsProcessStatusResponse":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/ImportStatusSpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of an Import, Analysis or Get Process Status requests."},"ImportStatusSpecs":{"type":"object","properties":{"importType":{"type":"string","description":"Import type. <br> Can be one of the following:<ul> <li><code>CSV</code>: for tabular documents</li> <li><code>TXT</code>: for text documents</li> </ul>","nullable":true},"importSize":{"type":"integer","description":"Size of the imported document in characters.","format":"int64"},"importName":{"type":"string","description":"Name of this import, if set when the Import process was requested.","nullable":true},"importedMemories":{"type":"integer","description":"Number of Imported Memory objects so far.","format":"int32"},"importWarningsCount":{"type":"integer","description":"Number of Import Warning objects","format":"int32"},"importWarnings":{"type":"array","items":{"$ref":"#/components/schemas/ImportWarning"},"description":"List of Import Warning objects.\r\nMay be empty.","nullable":true},"processID":{"type":"string","description":"Process ID.","nullable":true},"memoriID":{"type":"string","description":"ID of the Memori object this Process refers to.","nullable":true},"processUserName":{"type":"string","description":"Name of the user that started the Process.","nullable":true},"processType":{"type":"string","description":"Process type. <br> Can be one of the following:<ul> <li><code>Import</code>: for file import processes</li> <li><code>Analysis</code>: for Deep Thought user/query analysis processes</li> </ul>","nullable":true},"status":{"type":"string","description":"Current status of the Process (starting, running etc.). <br> May be one of the following:<ul> <li><code>Starting</code>: the Process is preparing to start, but has not started yet. Will advance to <code>Running</code> automatically.</li> <li><code>Running</code>: the Process has been started and is actively processing elements.</li> <li><code>Stopped</code>: the Process has been stopped manually, not all elements may have been processed.</li> <li><code>Completed</code>: the Process finished successfully, all the elements have been processed.</li> <li><code>Failed</code>: the Process terminated due to an unexpected error, not all elements may have been processed.</li> </ul>","nullable":true},"error":{"type":"string","description":"If the Status is ```Failed```, reports the error that\r\ncaused the Process to fail.\r\nNull otherwise.","nullable":true},"totalElements":{"type":"integer","description":"Total elements this Process is processing.","format":"int32"},"processedElements":{"type":"integer","description":"Number of elements this Process has processed so far.","format":"int32"},"progress":{"type":"number","description":"Progress of the Process as a fraction of 1.","format":"float"},"processSpecsJSON":{"type":"string","description":"Original parameters of the Process request, as a JSON structure,\r\nexcluding the elements (e.g. document rows for an Import process).","nullable":true},"begin":{"type":"string","description":"Timestamp of start of the Process.\r\nNull until the Process is in ```Starting``` status.","format":"date-time","nullable":true},"end":{"type":"string","description":"Timestamp of end of the Process.\r\nNull until the Process is in ```Starting``` or\r\n```Running``` status.","format":"date-time","nullable":true},"eta":{"type":"number","description":"Estimated time required to complete the Process,\r\nin seconds.","format":"float","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of an Import Status object."},"ImportWarning":{"type":"object","properties":{"warningType":{"type":"string","description":"Type of warning. <br> <ul>Currently supported types are: <li><code>Existing Similar Memory</code>: a memory exists with a text similar to the question in this row</li> <li><code>Error</code>: an error occurred while importing the row</li> </ul>","nullable":true},"rowNumber":{"type":"integer","description":"The number of thr row object of the warning.","format":"int32"},"text":{"type":"string","description":"When ```WarningType``` is ```Existing Similar\r\nMemory``` reports the text of the imported memory.\r\nWhen ```WarningType``` is ```Error``` reports the\r\ntext of the error.","nullable":true},"similarTexts":{"type":"array","items":{"$ref":"#/components/schemas/SimilarText"},"description":"List of similar texts in existing memories.\r\nUsed when ```WarningType``` is ```Existing Similar\r\nMemory```.","nullable":true}},"additionalProperties":false,"description":"Description of a possible problem during an Import operation."},"SimilarText":{"type":"object","properties":{"memoryID":{"type":"string","description":"Memory ID of the similar memory.","nullable":true},"text":{"type":"string","description":"Similar text of an existing memory.","nullable":true},"similarityLevel":{"type":"string","description":"Similarity level between the existing memory text and the imported memory text.\r\nEither \"HIGH\", \"MEDIUM\" or \"LOW.","nullable":true}},"additionalProperties":false}}}}
````

## POST /api/v2/ImportExport/ExportCSV/{strToken}/{strMemoriID}

> Exports contents of a Memori object to a CSV file.

```json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/ImportExport/ExportCSV/{strToken}/{strMemoriID}":{"post":{"tags":["ImportExport"],"summary":"Exports contents of a Memori object to a CSV file.","operationId":"ImportExport-ExportCSV","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"strMemoriID","in":"path","description":"The ID of the Memori object","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The specifications of the CSV file","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportCSVSpecs"}}}},"responses":{"200":{"description":"Success"}}}}},"components":{"schemas":{"ExportCSVSpecs":{"type":"object","properties":{"csvSpecs":{"$ref":"#/components/schemas/CSVSpecs"},"password":{"type":"string","description":"Memori password, if its privacy model is set to Secret.","nullable":true}},"additionalProperties":false,"description":"Specifications for an Export CSV request."},"CSVSpecs":{"type":"object","properties":{"newLine":{"type":"string","description":"New line characters to be used for CSV records.<br /> Required in Export operations.<br /> Not used in Import operations. <br> Must be one of:<ul> <li><code>\\r\\n</code>: CR-LF pair (Windows new lines)</li> <li><code>\\n</code>: LF only (Unix/macOS new lines)</li> </ul>","nullable":true},"hasHeaders":{"type":"boolean","description":"Specifies if the first row of the CSV contains the column names.<br />\r\nIn Import operations: if False column names must be specified\r\nin the HeaderNames property, if True HeaderNames is ignored.<br />\r\nIn Export operations: if True header names are generated in the\r\nfirst row, if False the first row contains the first data row."},"headerNames":{"type":"array","items":{"type":"string"},"description":"Optional column names of the CSV rows.<br />\r\nUsed only in Import operations: if not specified the\r\nHasHeaders property must be set to True, and the first row of the\r\nCSV file is assumed to contain the column names.","nullable":true},"questionColumnName":{"type":"string","description":"Name of the column with the question text.<br />\r\nUsed in both Import and Export operations.","nullable":true},"answerColumnName":{"type":"string","description":"Name of the column with the answer text.<br />\r\nUsed in both Import and Export operations.","nullable":true},"contextVarsToMatchColumnName":{"type":"string","description":"Optional name of the column with the context variables to match.<br />\r\nUsed in both Import and Export operations.","nullable":true},"contextVarsToSetColumnName":{"type":"string","description":"Optional name of the column with the context variables to set.<br />\r\nUsed in both Import and Export operations.","nullable":true},"memoryTagsColumnName":{"type":"string","description":"Optional name of the column with the memory tags.<br />\r\nUsed in both Import and Export operations.","nullable":true},"csvSeparator":{"type":"string","description":"Column separator in CSV rows.<br />\r\nUsed in both Import and Export operations.","nullable":true},"questionTitleVariantsSeparator":{"type":"string","description":"Optional question text and memory tags separator. Must be specified if\r\nthe question column contains multiple text variants, or if memory tags are being exported<br />\r\nUsed in both Import and Export operations.","nullable":true}},"additionalProperties":false,"description":"Specifications for requests involving import/export of CSV contents."}}}}
```

## POST /api/v2/ImportExport/ExportJSONL/{strToken}/{strMemoriID}

> Exports contents of a Memori object to a JSONL file, suitable for> \
> fine-tuning with generative AI platforms.

```json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/ImportExport/ExportJSONL/{strToken}/{strMemoriID}":{"post":{"tags":["ImportExport"],"summary":"Exports contents of a Memori object to a JSONL file, suitable for\r\nfine-tuning with generative AI platforms.","operationId":"ImportExport-ExportJSONL","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"strMemoriID","in":"path","description":"The ID of the Memori object","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The specifications of the JSONL file","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportJSONLSpecs"}}}},"responses":{"200":{"description":"Success"}}}}},"components":{"schemas":{"ExportJSONLSpecs":{"type":"object","properties":{"jsonlSpecs":{"$ref":"#/components/schemas/JSONLSpecs"},"password":{"type":"string","description":"Memori password, if its privacy model is set to Secret.","nullable":true}},"additionalProperties":false,"description":"Specifications for an Export JSONL request."},"JSONLSpecs":{"type":"object","properties":{"platform":{"type":"string","description":"Name of the platform for which the JSONL is intended. <br> Currently supported values are:<ul> <li><code>OpenAI</code>: the OpenAI platform</li> </ul>","nullable":true},"includeInstructions":{"type":"boolean","description":"If True the JSONL includes the instructions for the generative AI,\r\ni.e. the \"System\" role of each message.\r\nUsed only in Export operations."},"createdOrChangedAfter":{"type":"string","description":"If specified, only contents created or changed after this date will be\r\nincluded in the export.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications for requests involving import/export of JSONL contents."}}}}
```

## POST /api/v2/ImportExport/ExportFunctionsIntents/{strToken}/{strMemoriID}

> Exports functions, intents and intentSlots of a Memori object to a JSONL file

```json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/ImportExport/ExportFunctionsIntents/{strToken}/{strMemoriID}":{"post":{"tags":["ImportExport"],"summary":"Exports functions, intents and intentSlots of a Memori object to a JSONL file","operationId":"ImportExport-ExportFunctionsIntents","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"strMemoriID","in":"path","description":"The ID of the Memori object","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The specifications of the JSONL file","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportFunctionsIntentsSpecs"}}}},"responses":{"200":{"description":"Success"}}}}},"components":{"schemas":{"ExportFunctionsIntentsSpecs":{"type":"object","properties":{"exportFunctions":{"type":"boolean","description":"If true, export functions."},"exportIntents":{"type":"boolean","description":"If true, export intents."},"exportIntentSlots":{"type":"boolean","description":"If true, export intent slots."},"functionsIds":{"type":"array","items":{"type":"string"},"description":"If specified only the functions with the given IDs will be exported.","nullable":true},"intentsIds":{"type":"array","items":{"type":"string"},"description":"If specified only the intents with the given IDs will be exported.","nullable":true},"intentSlotsIds":{"type":"array","items":{"type":"string"},"description":"If specified only the intent slots with the given IDs will be exported.","nullable":true},"password":{"type":"string","description":"Memori password, if its privacy model is set to Secret.","nullable":true}},"additionalProperties":false}}}}
```

## POST /api/v2/ImportExport/ImportDictionary/{strToken}/{strMemoriID}

> Imports a dictionary to a Memori object.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/ImportExport/ImportDictionary/{strToken}/{strMemoriID}":{"post":{"tags":["ImportExport"],"summary":"Imports a dictionary to a Memori object.","operationId":"ImportExport-ImportDictionary","parameters":[{"name":"strToken","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"strMemoriID","in":"path","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportDictionarySpecs"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportStatusSpecsProcessStatusResponse"}}}}}}}},"components":{"schemas":{"ImportDictionarySpecs":{"type":"object","properties":{"rows":{"type":"array","items":{"type":"string"},"description":"Rows of the file to be imported.\r\nRequired.\r\nExcept when importing an agent, in which case this field must be left empty.","nullable":true},"importName":{"type":"string","description":"Optional name of this import.","nullable":true},"forceImport":{"type":"boolean","description":"Specifies if questions having a high similarity with already stored\r\nquestions have to be imported.\r\nIf true, all questions are imported without checking the similarity."},"notes":{"type":"string","description":"Additional notes about the import.","nullable":true}},"additionalProperties":false,"description":"Specifications for an Import Dictionary request."},"ImportStatusSpecsProcessStatusResponse":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/ImportStatusSpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of an Import, Analysis or Get Process Status requests."},"ImportStatusSpecs":{"type":"object","properties":{"importType":{"type":"string","description":"Import type. <br> Can be one of the following:<ul> <li><code>CSV</code>: for tabular documents</li> <li><code>TXT</code>: for text documents</li> </ul>","nullable":true},"importSize":{"type":"integer","description":"Size of the imported document in characters.","format":"int64"},"importName":{"type":"string","description":"Name of this import, if set when the Import process was requested.","nullable":true},"importedMemories":{"type":"integer","description":"Number of Imported Memory objects so far.","format":"int32"},"importWarningsCount":{"type":"integer","description":"Number of Import Warning objects","format":"int32"},"importWarnings":{"type":"array","items":{"$ref":"#/components/schemas/ImportWarning"},"description":"List of Import Warning objects.\r\nMay be empty.","nullable":true},"processID":{"type":"string","description":"Process ID.","nullable":true},"memoriID":{"type":"string","description":"ID of the Memori object this Process refers to.","nullable":true},"processUserName":{"type":"string","description":"Name of the user that started the Process.","nullable":true},"processType":{"type":"string","description":"Process type. <br> Can be one of the following:<ul> <li><code>Import</code>: for file import processes</li> <li><code>Analysis</code>: for Deep Thought user/query analysis processes</li> </ul>","nullable":true},"status":{"type":"string","description":"Current status of the Process (starting, running etc.). <br> May be one of the following:<ul> <li><code>Starting</code>: the Process is preparing to start, but has not started yet. Will advance to <code>Running</code> automatically.</li> <li><code>Running</code>: the Process has been started and is actively processing elements.</li> <li><code>Stopped</code>: the Process has been stopped manually, not all elements may have been processed.</li> <li><code>Completed</code>: the Process finished successfully, all the elements have been processed.</li> <li><code>Failed</code>: the Process terminated due to an unexpected error, not all elements may have been processed.</li> </ul>","nullable":true},"error":{"type":"string","description":"If the Status is ```Failed```, reports the error that\r\ncaused the Process to fail.\r\nNull otherwise.","nullable":true},"totalElements":{"type":"integer","description":"Total elements this Process is processing.","format":"int32"},"processedElements":{"type":"integer","description":"Number of elements this Process has processed so far.","format":"int32"},"progress":{"type":"number","description":"Progress of the Process as a fraction of 1.","format":"float"},"processSpecsJSON":{"type":"string","description":"Original parameters of the Process request, as a JSON structure,\r\nexcluding the elements (e.g. document rows for an Import process).","nullable":true},"begin":{"type":"string","description":"Timestamp of start of the Process.\r\nNull until the Process is in ```Starting``` status.","format":"date-time","nullable":true},"end":{"type":"string","description":"Timestamp of end of the Process.\r\nNull until the Process is in ```Starting``` or\r\n```Running``` status.","format":"date-time","nullable":true},"eta":{"type":"number","description":"Estimated time required to complete the Process,\r\nin seconds.","format":"float","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of an Import Status object."},"ImportWarning":{"type":"object","properties":{"warningType":{"type":"string","description":"Type of warning. <br> <ul>Currently supported types are: <li><code>Existing Similar Memory</code>: a memory exists with a text similar to the question in this row</li> <li><code>Error</code>: an error occurred while importing the row</li> </ul>","nullable":true},"rowNumber":{"type":"integer","description":"The number of thr row object of the warning.","format":"int32"},"text":{"type":"string","description":"When ```WarningType``` is ```Existing Similar\r\nMemory``` reports the text of the imported memory.\r\nWhen ```WarningType``` is ```Error``` reports the\r\ntext of the error.","nullable":true},"similarTexts":{"type":"array","items":{"$ref":"#/components/schemas/SimilarText"},"description":"List of similar texts in existing memories.\r\nUsed when ```WarningType``` is ```Existing Similar\r\nMemory```.","nullable":true}},"additionalProperties":false,"description":"Description of a possible problem during an Import operation."},"SimilarText":{"type":"object","properties":{"memoryID":{"type":"string","description":"Memory ID of the similar memory.","nullable":true},"text":{"type":"string","description":"Similar text of an existing memory.","nullable":true},"similarityLevel":{"type":"string","description":"Similarity level between the existing memory text and the imported memory text.\r\nEither \"HIGH\", \"MEDIUM\" or \"LOW.","nullable":true}},"additionalProperties":false}}}}
````

## POST /api/v2/ImportExport/ExportDictionary/{strToken}/{strMemoriID}

> Exports the dictionary of a Memori object to a JSONL file.

```json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/ImportExport/ExportDictionary/{strToken}/{strMemoriID}":{"post":{"tags":["ImportExport"],"summary":"Exports the dictionary of a Memori object to a JSONL file.","operationId":"ImportExport-ExportDictionary","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"strMemoriID","in":"path","description":"The ID of the Memori object","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The specifications of the JSONL file containing the dictionary","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportDictionarySpecs"}}}},"responses":{"200":{"description":"Success"}}}}},"components":{"schemas":{"ExportDictionarySpecs":{"type":"object","properties":{"dictionarySpecs":{"$ref":"#/components/schemas/DictionarySpecs"},"password":{"type":"string","description":"Memori password, if its privacy model is set to Secret.","nullable":true}},"additionalProperties":false},"DictionarySpecs":{"type":"object","properties":{"words":{"type":"array","items":{"type":"string"},"description":"If specified the dictionary will be exported with the specified words if present.","nullable":true}},"additionalProperties":false}}}}
```

## POST /api/v2/ImportExport/ExportMemori/{strToken}/{strMemoriID}

> Exports the Memori object to a zip containing JSONL.

```json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/ImportExport/ExportMemori/{strToken}/{strMemoriID}":{"post":{"tags":["ImportExport"],"summary":"Exports the Memori object to a zip containing JSONL.","operationId":"ImportExport-ExportMemori","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"strMemoriID","in":"path","description":"The ID of the Memori object","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The specifications of the JSONL file containing the Memori","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportMemoriSpecs"}}}},"responses":{"200":{"description":"Success"}}}}},"components":{"schemas":{"ExportMemoriSpecs":{"type":"object","properties":{"password":{"type":"string","description":"Memori password, if its privacy model is set to Secret.","nullable":true}},"additionalProperties":false}}}}
```
